{% extends 'base.html.twig' %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/choix_topbar2.html.twig' %}
{% endblock %}
{% block body %}
    <script>
        var liste_categories = JSON.parse("{{asso_cat_type|json_encode()|e('js')}}");
    </script>
    <style>
        .flag {
            border-radius: 2px;
            color: white;
            font-size: 0.7em;
            padding: 2px 4px;
            cursor: default;
        }
        
        .flag_gaia {
            background-color: #0066cc;
        }
        
        .flag_qp {
            background-color: #cc6600;
        }
        
        .sort {
            font-size: 0.8em;
            cursor: pointer;
        }
    </style>
    <div class="container-fluid">
        <div class="col-md-12">
            <h3 style="margin-bottom: 10px">Documents</h3>
        </div>
        {% include 'documents/global/filtres_docs.html.twig' %}
        <div class="col-md-12">
            <table class="table table-hover table-striped">
                <thead>
                <tr>
                    <th style="width: 40px"></th>
                    <th>Libelle <span ordre="none" class="sort glyphicon glyphicon-triangle-right sortlibelle"></span></th>
                    <th>Type</th>
                    <th>Date <span ordre="desc" class="sort glyphicon glyphicon-triangle-bottom sortdate"></span></th>
                    <th>Taille</th>
                    <th></th>
                    <th></th>
                </tr>
                </thead>
                <tbody class="liste_docs">
                {% for doc in docs %}
                    <tr class='{% if doc.id|slice(0, 1) == "g" %}cat_gaia{% elseif doc.id|slice(0, 1) != "q" %}cat_ctx{% endif %} row_doc' type_doc='{{ doc.num_type }}'  date_doc='{{ doc.date|date('Y-m-d') }}'>
                        <td class="text-right">{% if doc.from_gaia %}<span class="flag flag_gaia" title="Document gaïa">G</span>{% endif %}{% if doc.from_qp %}<span class="flag flag_qp" title="Document qualiperf">QP</span>{% endif %}</td>
                        <td class='tdnom'>{{doc.nom_public}}</td>
                        <td>
                            {% if doc.id|slice(0, 1) != "g" and doc.id|slice(0, 1) != "q" %} 
                                <select style="height: 25px; padding: 0 4px; max-width: 250px" class="form-control select_type_doc" id_doc="{{ doc.id }}">
                                    {% for type_doc in types %}
                                        <option {% if doc.num_type == type_doc.num %}selected{% endif %} value='{{ type_doc.num }}'>{{ type_doc.type }}</option>
                                    {% endfor %}
                                </select>
                            {% else %}
                                {{ doc.type }}
                            {% endif %}
                        </td>
                        <td>{% if doc.id|slice(0, 1) != "g" and doc.id|slice(0, 1) != "q" %} <input style="width: 150px" class="form-control input_date_doc" type="date" value="{{ doc.date|date('Y-m-d') }}" id_doc="{{ doc.id }}">{% elseif doc.date %}{{ doc.date|date('d/m/Y') }}{% endif %}</td>
                        <td>{{ doc.get_size_ko }} ko</td>
                        <td style="width: 1em"><a href='{{ base_url }}/documents/download/{{ doc.id }}' style="color: black"><span class="glyphicon glyphicon-download" style="cursor: pointer" title="Télécharger"></span></a></td>
                        <td style="width: 1em; padding-right: 10px">
                            {% if doc.id|slice(0, 1) != "g" and doc.id|slice(0, 1) != "q" %}
                                <div class="dropdown">
                                    <div style="cursor: pointer" class="dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                                        <span class="caret"></span>
                                    </div>
                                    <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenu1">
                                        <li><a href="#" class="btn_renommer" doc_id="{{doc.id}}">Renommer</a></li>
                                        <li><a href="#" class="btn_supprimmer"  doc_id="{{doc.id}}">Supprimer</a></li>
                                    </ul>
                                </div>
                            {% endif %}
                        </td>
                    </tr>    
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    {% include "documents/global/form_upload.html.twig" %}
    <script src='{{ assetsdir }}/js/documents.js'></script>
{% endblock %}
